//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  list<int> coll;

  INSERT_ELEMENTS(coll,1,9);
  INSERT_ELEMENTS(coll,1,9);
  coll.sort ();
  PRINT_ELEMENTS(coll," :\n");

  //     ,    
  //     5
  pair<list<int>::iterator,list<int>::iterator> range;

  range = equal_range (coll.begin(), coll.end(),
                       5);

  cout << ToRus(" 5     ")
       << distance(coll.begin(),range.first) + 1
       << ToRus("  ")
       << distance(coll.begin(),range.second) + 1
       << ToRus("\n   .") << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------